/*******************************************************************************
* File Name: AMux_Seq.h
* Version 1.50
*
*  Description:
*    This file contains the constants and function prototypes for the Analog
*    Multiplexer User Module AMux.
*
*   Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_AMUX_AMux_Seq_H)
#define CY_AMUX_AMux_Seq_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cyfitter_cfg.h"


/***************************************
*        Function Prototypes
***************************************/

void AMux_Seq_Start(void);
void AMux_Seq_Init(void);
void AMux_Seq_Stop(void);
void AMux_Seq_Select(uint8 channel) ;
void AMux_Seq_FastSelect(uint8 channel) ;
void AMux_Seq_DisconnectAll(void) ;
/* The Connect and Disconnect functions are declared elsewhere */
/* void AMux_Seq_Connect(uint8 channel); */
/* void AMux_Seq_Disconnect(uint8 channel); */


/***************************************
*     Initial Parameter Constants
***************************************/

#define AMux_Seq_CHANNELS  3
#define AMux_Seq_MUXTYPE   1


/***************************************
*             API Constants
***************************************/

#define AMux_Seq_NULL_CHANNEL  0xFFu
#define AMux_Seq_MUX_SINGLE   1
#define AMux_Seq_MUX_DIFF     2


/***************************************
*        Conditional Functions
***************************************/

#if AMux_Seq_MUXTYPE == AMux_Seq_MUX_SINGLE
# define AMux_Seq_Connect(channel) AMux_Seq_Set(channel)
# define AMux_Seq_Disconnect(channel) AMux_Seq_Unset(channel)
#else
void AMux_Seq_Connect(uint8 channel) ;
void AMux_Seq_Disconnect(uint8 channel) ;
#endif

#endif /* CY_AMUX_AMux_Seq_H */


/* [] END OF FILE */
