/*******************************************************************************
* File Name: DigIn.h  
* Version 1.70
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_DigIn_H) /* Pins DigIn_H */
#define CY_PINS_DigIn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DigIn_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_70 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 DigIn__PORT == 15 && (DigIn__MASK & 0xC0))

/***************************************
*        Function Prototypes             
***************************************/    

void    DigIn_Write(uint8 value) ;
void    DigIn_SetDriveMode(uint8 mode) ;
uint8   DigIn_ReadDataReg(void) ;
uint8   DigIn_Read(void) ;
uint8   DigIn_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DigIn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DigIn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DigIn_DM_RES_UP          PIN_DM_RES_UP
#define DigIn_DM_RES_DWN         PIN_DM_RES_DWN
#define DigIn_DM_OD_LO           PIN_DM_OD_LO
#define DigIn_DM_OD_HI           PIN_DM_OD_HI
#define DigIn_DM_STRONG          PIN_DM_STRONG
#define DigIn_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DigIn_MASK               DigIn__MASK
#define DigIn_SHIFT              DigIn__SHIFT
#define DigIn_WIDTH              8u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DigIn_PS                     (* (reg8 *) DigIn__PS)
/* Data Register */
#define DigIn_DR                     (* (reg8 *) DigIn__DR)
/* Port Number */
#define DigIn_PRT_NUM                (* (reg8 *) DigIn__PRT) 
/* Connect to Analog Globals */                                                  
#define DigIn_AG                     (* (reg8 *) DigIn__AG)                       
/* Analog MUX bux enable */
#define DigIn_AMUX                   (* (reg8 *) DigIn__AMUX) 
/* Bidirectional Enable */                                                        
#define DigIn_BIE                    (* (reg8 *) DigIn__BIE)
/* Bit-mask for Aliased Register Access */
#define DigIn_BIT_MASK               (* (reg8 *) DigIn__BIT_MASK)
/* Bypass Enable */
#define DigIn_BYP                    (* (reg8 *) DigIn__BYP)
/* Port wide control signals */                                                   
#define DigIn_CTL                    (* (reg8 *) DigIn__CTL)
/* Drive Modes */
#define DigIn_DM0                    (* (reg8 *) DigIn__DM0) 
#define DigIn_DM1                    (* (reg8 *) DigIn__DM1)
#define DigIn_DM2                    (* (reg8 *) DigIn__DM2) 
/* Input Buffer Disable Override */
#define DigIn_INP_DIS                (* (reg8 *) DigIn__INP_DIS)
/* LCD Common or Segment Drive */
#define DigIn_LCD_COM_SEG            (* (reg8 *) DigIn__LCD_COM_SEG)
/* Enable Segment LCD */
#define DigIn_LCD_EN                 (* (reg8 *) DigIn__LCD_EN)
/* Slew Rate Control */
#define DigIn_SLW                    (* (reg8 *) DigIn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DigIn_PRTDSI__CAPS_SEL       (* (reg8 *) DigIn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DigIn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DigIn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DigIn_PRTDSI__OE_SEL0        (* (reg8 *) DigIn__PRTDSI__OE_SEL0) 
#define DigIn_PRTDSI__OE_SEL1        (* (reg8 *) DigIn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DigIn_PRTDSI__OUT_SEL0       (* (reg8 *) DigIn__PRTDSI__OUT_SEL0) 
#define DigIn_PRTDSI__OUT_SEL1       (* (reg8 *) DigIn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DigIn_PRTDSI__SYNC_OUT       (* (reg8 *) DigIn__PRTDSI__SYNC_OUT) 


#if defined(DigIn__INTSTAT)  /* Interrupt Registers */

    #define DigIn_INTSTAT                (* (reg8 *) DigIn__INTSTAT)
    #define DigIn_SNAP                   (* (reg8 *) DigIn__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins DigIn_H */

#endif
/* [] END OF FILE */
