/*******************************************************************************
* File Name: DigIn_Reg.h  
* Version 1.70
*
* Description:
*  This file containts Status Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_STATUS_REG_DigIn_Reg_H) /* CY_STATUS_REG_DigIn_Reg_H */
#define CY_STATUS_REG_DigIn_Reg_H

#include "cytypes.h"
#include "CyLib.h"


/***************************************
*        Function Prototypes
***************************************/

uint8 DigIn_Reg_Read(void) ;
void DigIn_Reg_InterruptEnable(void) ;
void DigIn_Reg_InterruptDisable(void) ;
void DigIn_Reg_WriteMask(uint8) ;
uint8 DigIn_Reg_ReadMask(void) ;


/***************************************
*           API Constants
***************************************/

#define DigIn_Reg_STATUS_INTR_ENBL    0x10u


/***************************************
*         Parameter Constants
***************************************/

/* Status Register Inputs */
#define DigIn_Reg_INPUTS              8


/***************************************
*             Registers
***************************************/

/* Status Register */
#define DigIn_Reg_Status             (* (reg8 *) DigIn_Reg_sts_sts_reg__STATUS_REG )
#define DigIn_Reg_Status_PTR         (  (reg8 *) DigIn_Reg_sts_sts_reg__STATUS_REG )
#define DigIn_Reg_Status_Mask        (* (reg8 *) DigIn_Reg_sts_sts_reg__MASK_REG )
#define DigIn_Reg_Status_Aux_Ctrl    (* (reg8 *) DigIn_Reg_sts_sts_reg__STATUS_AUX_CTL_REG )

#endif /* End CY_STATUS_REG_DigIn_Reg_H */


/* [] END OF FILE */
