/*******************************************************************************
* File Name: GLCD_Control.h  
* Version 1.70
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_GLCD_Control_H) /* Pins GLCD_Control_H */
#define CY_PINS_GLCD_Control_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "GLCD_Control_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_70 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 GLCD_Control__PORT == 15 && (GLCD_Control__MASK & 0xC0))

/***************************************
*        Function Prototypes             
***************************************/    

void    GLCD_Control_Write(uint8 value) ;
void    GLCD_Control_SetDriveMode(uint8 mode) ;
uint8   GLCD_Control_ReadDataReg(void) ;
uint8   GLCD_Control_Read(void) ;
uint8   GLCD_Control_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define GLCD_Control_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define GLCD_Control_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define GLCD_Control_DM_RES_UP          PIN_DM_RES_UP
#define GLCD_Control_DM_RES_DWN         PIN_DM_RES_DWN
#define GLCD_Control_DM_OD_LO           PIN_DM_OD_LO
#define GLCD_Control_DM_OD_HI           PIN_DM_OD_HI
#define GLCD_Control_DM_STRONG          PIN_DM_STRONG
#define GLCD_Control_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define GLCD_Control_MASK               GLCD_Control__MASK
#define GLCD_Control_SHIFT              GLCD_Control__SHIFT
#define GLCD_Control_WIDTH              4u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define GLCD_Control_PS                     (* (reg8 *) GLCD_Control__PS)
/* Data Register */
#define GLCD_Control_DR                     (* (reg8 *) GLCD_Control__DR)
/* Port Number */
#define GLCD_Control_PRT_NUM                (* (reg8 *) GLCD_Control__PRT) 
/* Connect to Analog Globals */                                                  
#define GLCD_Control_AG                     (* (reg8 *) GLCD_Control__AG)                       
/* Analog MUX bux enable */
#define GLCD_Control_AMUX                   (* (reg8 *) GLCD_Control__AMUX) 
/* Bidirectional Enable */                                                        
#define GLCD_Control_BIE                    (* (reg8 *) GLCD_Control__BIE)
/* Bit-mask for Aliased Register Access */
#define GLCD_Control_BIT_MASK               (* (reg8 *) GLCD_Control__BIT_MASK)
/* Bypass Enable */
#define GLCD_Control_BYP                    (* (reg8 *) GLCD_Control__BYP)
/* Port wide control signals */                                                   
#define GLCD_Control_CTL                    (* (reg8 *) GLCD_Control__CTL)
/* Drive Modes */
#define GLCD_Control_DM0                    (* (reg8 *) GLCD_Control__DM0) 
#define GLCD_Control_DM1                    (* (reg8 *) GLCD_Control__DM1)
#define GLCD_Control_DM2                    (* (reg8 *) GLCD_Control__DM2) 
/* Input Buffer Disable Override */
#define GLCD_Control_INP_DIS                (* (reg8 *) GLCD_Control__INP_DIS)
/* LCD Common or Segment Drive */
#define GLCD_Control_LCD_COM_SEG            (* (reg8 *) GLCD_Control__LCD_COM_SEG)
/* Enable Segment LCD */
#define GLCD_Control_LCD_EN                 (* (reg8 *) GLCD_Control__LCD_EN)
/* Slew Rate Control */
#define GLCD_Control_SLW                    (* (reg8 *) GLCD_Control__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define GLCD_Control_PRTDSI__CAPS_SEL       (* (reg8 *) GLCD_Control__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define GLCD_Control_PRTDSI__DBL_SYNC_IN    (* (reg8 *) GLCD_Control__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define GLCD_Control_PRTDSI__OE_SEL0        (* (reg8 *) GLCD_Control__PRTDSI__OE_SEL0) 
#define GLCD_Control_PRTDSI__OE_SEL1        (* (reg8 *) GLCD_Control__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define GLCD_Control_PRTDSI__OUT_SEL0       (* (reg8 *) GLCD_Control__PRTDSI__OUT_SEL0) 
#define GLCD_Control_PRTDSI__OUT_SEL1       (* (reg8 *) GLCD_Control__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define GLCD_Control_PRTDSI__SYNC_OUT       (* (reg8 *) GLCD_Control__PRTDSI__SYNC_OUT) 


#if defined(GLCD_Control__INTSTAT)  /* Interrupt Registers */

    #define GLCD_Control_INTSTAT                (* (reg8 *) GLCD_Control__INTSTAT)
    #define GLCD_Control_SNAP                   (* (reg8 *) GLCD_Control__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins GLCD_Control_H */

#endif
/* [] END OF FILE */
