/*******************************************************************************
* File Name: Reg_MenuNextBtn.c  
* Version 1.70
*
* Description:
*  This file contains API to enable firmware to read the value of a Status 
*  Register.
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "Reg_MenuNextBtn.h"

#if !defined(Reg_MenuNextBtn_sts_sts_reg__REMOVED) /* Check for removal by optimization */


/*******************************************************************************
* Function Name: Reg_MenuNextBtn_Read
********************************************************************************
*
* Summary:
*  Reads the current value assigned to the Status Register.
*
* Parameters:
*  None.
*
* Return:
*  The current value in the Status Register.
*
*******************************************************************************/
uint8 Reg_MenuNextBtn_Read(void) 
{ 
    return Reg_MenuNextBtn_Status;
}


/*******************************************************************************
* Function Name: Reg_MenuNextBtn_InterruptEnable
********************************************************************************
*
* Summary:
*  Enables the Status Register interrupt.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void Reg_MenuNextBtn_InterruptEnable(void) 
{
    uint8 interruptState;
    interruptState = CyEnterCriticalSection();
    Reg_MenuNextBtn_Status_Aux_Ctrl |= Reg_MenuNextBtn_STATUS_INTR_ENBL;
    CyExitCriticalSection(interruptState);
}


/*******************************************************************************
* Function Name: Reg_MenuNextBtn_InterruptDisable
********************************************************************************
*
* Summary:
*  Disables the Status Register interrupt.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void Reg_MenuNextBtn_InterruptDisable(void) 
{
    uint8 interruptState;
    interruptState = CyEnterCriticalSection();
    Reg_MenuNextBtn_Status_Aux_Ctrl &= ~Reg_MenuNextBtn_STATUS_INTR_ENBL;
    CyExitCriticalSection(interruptState);
}


/*******************************************************************************
* Function Name: Reg_MenuNextBtn_WriteMask
********************************************************************************
*
* Summary:
*  Writes the current mask value assigned to the Status Register.
*
* Parameters:
*  mask:  Value to write into the mask register.
*
* Return:
*  None.
*
*******************************************************************************/
void Reg_MenuNextBtn_WriteMask(uint8 mask) 
{
    mask &= (1 << Reg_MenuNextBtn_INPUTS)-1;
    Reg_MenuNextBtn_Status_Mask = mask;
}


/*******************************************************************************
* Function Name: Reg_MenuNextBtn_ReadMask
********************************************************************************
*
* Summary:
*  Reads the current interrupt mask assigned to the Status Register.
*
* Parameters:
*  None.
*
* Return:
*  The value of the interrupt mask of the Status Register.
*
*******************************************************************************/
uint8 Reg_MenuNextBtn_ReadMask(void) 
{
    return Reg_MenuNextBtn_Status_Mask;
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
