/*******************************************************************************
* File Name: SW_Menu.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_SW_Menu_H) /* Pins SW_Menu_H */
#define CY_PINS_SW_Menu_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SW_Menu_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SW_Menu_Write(uint8 value) ;
void    SW_Menu_SetDriveMode(uint8 mode) ;
uint8   SW_Menu_ReadDataReg(void) ;
uint8   SW_Menu_Read(void) ;
uint8   SW_Menu_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SW_Menu_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define SW_Menu_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define SW_Menu_DM_RES_UP          PIN_DM_RES_UP
#define SW_Menu_DM_RES_DWN         PIN_DM_RES_DWN
#define SW_Menu_DM_OD_LO           PIN_DM_OD_LO
#define SW_Menu_DM_OD_HI           PIN_DM_OD_HI
#define SW_Menu_DM_STRONG          PIN_DM_STRONG
#define SW_Menu_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define SW_Menu_MASK               SW_Menu__MASK
#define SW_Menu_SHIFT              SW_Menu__SHIFT
#define SW_Menu_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SW_Menu_PS                     (* (reg8 *) SW_Menu__PS)
/* Data Register */
#define SW_Menu_DR                     (* (reg8 *) SW_Menu__DR)
/* Port Number */
#define SW_Menu_PRT_NUM                (* (reg8 *) SW_Menu__PRT) 
/* Connect to Analog Globals */                                                  
#define SW_Menu_AG                     (* (reg8 *) SW_Menu__AG)                       
/* Analog MUX bux enable */
#define SW_Menu_AMUX                   (* (reg8 *) SW_Menu__AMUX) 
/* Bidirectional Enable */                                                        
#define SW_Menu_BIE                    (* (reg8 *) SW_Menu__BIE)
/* Bit-mask for Aliased Register Access */
#define SW_Menu_BIT_MASK               (* (reg8 *) SW_Menu__BIT_MASK)
/* Bypass Enable */
#define SW_Menu_BYP                    (* (reg8 *) SW_Menu__BYP)
/* Port wide control signals */                                                   
#define SW_Menu_CTL                    (* (reg8 *) SW_Menu__CTL)
/* Drive Modes */
#define SW_Menu_DM0                    (* (reg8 *) SW_Menu__DM0) 
#define SW_Menu_DM1                    (* (reg8 *) SW_Menu__DM1)
#define SW_Menu_DM2                    (* (reg8 *) SW_Menu__DM2) 
/* Input Buffer Disable Override */
#define SW_Menu_INP_DIS                (* (reg8 *) SW_Menu__INP_DIS)
/* LCD Common or Segment Drive */
#define SW_Menu_LCD_COM_SEG            (* (reg8 *) SW_Menu__LCD_COM_SEG)
/* Enable Segment LCD */
#define SW_Menu_LCD_EN                 (* (reg8 *) SW_Menu__LCD_EN)
/* Slew Rate Control */
#define SW_Menu_SLW                    (* (reg8 *) SW_Menu__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SW_Menu_PRTDSI__CAPS_SEL       (* (reg8 *) SW_Menu__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SW_Menu_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SW_Menu__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SW_Menu_PRTDSI__OE_SEL0        (* (reg8 *) SW_Menu__PRTDSI__OE_SEL0) 
#define SW_Menu_PRTDSI__OE_SEL1        (* (reg8 *) SW_Menu__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SW_Menu_PRTDSI__OUT_SEL0       (* (reg8 *) SW_Menu__PRTDSI__OUT_SEL0) 
#define SW_Menu_PRTDSI__OUT_SEL1       (* (reg8 *) SW_Menu__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SW_Menu_PRTDSI__SYNC_OUT       (* (reg8 *) SW_Menu__PRTDSI__SYNC_OUT) 


#if defined(SW_Menu__INTSTAT)  /* Interrupt Registers */

    #define SW_Menu_INTSTAT                (* (reg8 *) SW_Menu__INTSTAT)
    #define SW_Menu_SNAP                   (* (reg8 *) SW_Menu__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins SW_Menu_H */


/* [] END OF FILE */
