/*******************************************************************************
* File Name: SW_Menu_Prev.h  
* Version 1.70
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_SW_Menu_Prev_H) /* Pins SW_Menu_Prev_H */
#define CY_PINS_SW_Menu_Prev_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SW_Menu_Prev_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_70 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 SW_Menu_Prev__PORT == 15 && (SW_Menu_Prev__MASK & 0xC0))

/***************************************
*        Function Prototypes             
***************************************/    

void    SW_Menu_Prev_Write(uint8 value) ;
void    SW_Menu_Prev_SetDriveMode(uint8 mode) ;
uint8   SW_Menu_Prev_ReadDataReg(void) ;
uint8   SW_Menu_Prev_Read(void) ;
uint8   SW_Menu_Prev_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SW_Menu_Prev_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define SW_Menu_Prev_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define SW_Menu_Prev_DM_RES_UP          PIN_DM_RES_UP
#define SW_Menu_Prev_DM_RES_DWN         PIN_DM_RES_DWN
#define SW_Menu_Prev_DM_OD_LO           PIN_DM_OD_LO
#define SW_Menu_Prev_DM_OD_HI           PIN_DM_OD_HI
#define SW_Menu_Prev_DM_STRONG          PIN_DM_STRONG
#define SW_Menu_Prev_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define SW_Menu_Prev_MASK               SW_Menu_Prev__MASK
#define SW_Menu_Prev_SHIFT              SW_Menu_Prev__SHIFT
#define SW_Menu_Prev_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SW_Menu_Prev_PS                     (* (reg8 *) SW_Menu_Prev__PS)
/* Data Register */
#define SW_Menu_Prev_DR                     (* (reg8 *) SW_Menu_Prev__DR)
/* Port Number */
#define SW_Menu_Prev_PRT_NUM                (* (reg8 *) SW_Menu_Prev__PRT) 
/* Connect to Analog Globals */                                                  
#define SW_Menu_Prev_AG                     (* (reg8 *) SW_Menu_Prev__AG)                       
/* Analog MUX bux enable */
#define SW_Menu_Prev_AMUX                   (* (reg8 *) SW_Menu_Prev__AMUX) 
/* Bidirectional Enable */                                                        
#define SW_Menu_Prev_BIE                    (* (reg8 *) SW_Menu_Prev__BIE)
/* Bit-mask for Aliased Register Access */
#define SW_Menu_Prev_BIT_MASK               (* (reg8 *) SW_Menu_Prev__BIT_MASK)
/* Bypass Enable */
#define SW_Menu_Prev_BYP                    (* (reg8 *) SW_Menu_Prev__BYP)
/* Port wide control signals */                                                   
#define SW_Menu_Prev_CTL                    (* (reg8 *) SW_Menu_Prev__CTL)
/* Drive Modes */
#define SW_Menu_Prev_DM0                    (* (reg8 *) SW_Menu_Prev__DM0) 
#define SW_Menu_Prev_DM1                    (* (reg8 *) SW_Menu_Prev__DM1)
#define SW_Menu_Prev_DM2                    (* (reg8 *) SW_Menu_Prev__DM2) 
/* Input Buffer Disable Override */
#define SW_Menu_Prev_INP_DIS                (* (reg8 *) SW_Menu_Prev__INP_DIS)
/* LCD Common or Segment Drive */
#define SW_Menu_Prev_LCD_COM_SEG            (* (reg8 *) SW_Menu_Prev__LCD_COM_SEG)
/* Enable Segment LCD */
#define SW_Menu_Prev_LCD_EN                 (* (reg8 *) SW_Menu_Prev__LCD_EN)
/* Slew Rate Control */
#define SW_Menu_Prev_SLW                    (* (reg8 *) SW_Menu_Prev__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SW_Menu_Prev_PRTDSI__CAPS_SEL       (* (reg8 *) SW_Menu_Prev__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SW_Menu_Prev_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SW_Menu_Prev__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SW_Menu_Prev_PRTDSI__OE_SEL0        (* (reg8 *) SW_Menu_Prev__PRTDSI__OE_SEL0) 
#define SW_Menu_Prev_PRTDSI__OE_SEL1        (* (reg8 *) SW_Menu_Prev__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SW_Menu_Prev_PRTDSI__OUT_SEL0       (* (reg8 *) SW_Menu_Prev__PRTDSI__OUT_SEL0) 
#define SW_Menu_Prev_PRTDSI__OUT_SEL1       (* (reg8 *) SW_Menu_Prev__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SW_Menu_Prev_PRTDSI__SYNC_OUT       (* (reg8 *) SW_Menu_Prev__PRTDSI__SYNC_OUT) 


#if defined(SW_Menu_Prev__INTSTAT)  /* Interrupt Registers */

    #define SW_Menu_Prev_INTSTAT                (* (reg8 *) SW_Menu_Prev__INTSTAT)
    #define SW_Menu_Prev_SNAP                   (* (reg8 *) SW_Menu_Prev__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins SW_Menu_Prev_H */

#endif
/* [] END OF FILE */
