/*******************************************************************************
* FILENAME: cyfitter_cfg.c
* PSoC Creator 2.1 Early Access
*
* Description:
* This file is automatically generated by PSoC Creator with device 
* initialization code.  Except for the user defined sections in
* CyClockStartupError(), this file should not be modified.
*
********************************************************************************
* Copyright 2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#include <string.h>
#include <cytypes.h>
#include <cydevice_trm.h>
#include <cyfitter.h>
#include <CyLib.h>
#include <CyDmac.h>
#include <cyfitter_cfg.h>

/* Clock startup error codes                                                   */
#define CYCLOCKSTART_NO_ERROR    0
#define CYCLOCKSTART_XTAL_ERROR  1
#define CYCLOCKSTART_32KHZ_ERROR 2
#define CYCLOCKSTART_PLL_ERROR   3

/*******************************************************************************
* Function Name: CyClockStartupError
********************************************************************************
* Summary:
*  If an error is encountered during clock configuration (crystal startup error,
*  PLL lock error, etc) the system will end up here.  Unless reimplemented by 
*  the customer, an infinite loop will be encountered.
*
* Parameters:  
*   void
*
* Return:
*   void
*
*******************************************************************************/
#if defined(__GNUC__) || defined(__ARMCC_VERSION)
__attribute__ ((unused))
#endif
static void CyClockStartupError(uint8 errorCode)
{
    /* To remove the compiler warning if errorCode not used.                */
    errorCode = errorCode;

    /* `#START CyClockStartupError` */

    /* If we have a clock startup error (bad MHz crystal, PLL lock, etc)    */
    /* we will end up here to allow the customer to implement something to  */
    /* deal with the clock condition.                                       */

    /* `#END` */

    /* If nothing else, stop here since the clocks have not started         */
    /* correctly.                                                           */
    while(1) {}
}


#undef CYCODE
#undef CYDATA
#undef CYXDATA
#undef CYFAR
#if defined(__GNUC__) || defined(__ARMCC_VERSION)
	#define CYCODE
	#define CYDATA
	#define CYXDATA
	#define CYFAR

	#define CYPACKED __attribute__ ((packed))
	#define CYALIGNED __attribute__ ((aligned))
	
    #if CYDEV_CONFIGURATION_DMA
        #define DMAINITSEC __attribute__ ((section (".dma_init")))
    #else
        #define DMAINITSEC
    #endif

	#if defined(__ARMCC_VERSION)
		#define CY_CFG_MEMORY_BARRIER() __memory_changed()
	#else
		#define CY_CFG_MEMORY_BARRIER() __sync_synchronize()
	#endif
	
    /*******************************************************************************
    * Function Name: cymemzero8
    ********************************************************************************
    * Summary:
    *  This function is provided as a way to initialize a block of memory to zero
    *  one byte at a time.  While this is a 32bit processor, some of the 
    *  configuration registers are only 8bits wide.  This allows us to initialize
    *  just the registers we care about.
    *
    * Parameters:  
    *   addr  - The first address to start writing zero to.
    *   count - The number of bytes to write 0 to.
    *
    * Return:
    *   void
    *
    *******************************************************************************/
    __attribute__ ((unused))
    static void cymemzero8(void *addr, unsigned int count)
    {
	    volatile uint8 *addr8 = (uint8 *)addr;
	    while (count--)
	    {
		    *addr8 = 0;
		    addr8++;
	    }
    }

    /*******************************************************************************
    * Function Name: cymemcpy8
    ********************************************************************************
    * Summary:
    *  This function is provided as a way to copy data from one location to another
    *  one byte at a time.  While this is a 32bit processor, some of the 
    *  configuration registers are only 8bits wide.  This allows us to initialize
    *  just the registers we care about.
    *
    * Parameters:  
    *   dest  - The destination address to copy data to.
    *   src   - The source address to copy data from.
    *   count - The number of bytes to copy from 'src' to 'dest'.
    *
    * Return:
    *   void
    *
    *******************************************************************************/
    __attribute__ ((unused))
    static void cymemcpy8(void *dest, const void *src, unsigned int count)
    {
	    volatile uint8 *dest8 = (uint8 *)dest;
	    const uint8 *src8 = (const uint8 *)src;

	    while (count--)
	    {
		    *dest8 = *src8;
		    dest8++;
		    src8++;
	    }
    }

    #define CYMEMZERO8(a,c) cymemzero8((a),(c))
    #define CYCONFIGCPY8(d,s,c) cymemcpy8((d),(s),(c))
    #define CYCONFIGCPYCODE8(d,s,c) cymemcpy8((d),(s),(c))
	
	#define CYMEMZERO(a,c) memset((a),0,(c))
	#define CYCONFIGCPY(d,s,c) memcpy((d),(s),(c))
	#define CYCONFIGCPYCODE(d,s,c) memcpy((d),(s),(c))
#else
	#error Unsupported toolchain
#endif

/* Defines the layout and meaning of each entry in the cfg_memset_list used for clearing registers */
typedef struct {
	void CYFAR *address;
	uint16 size;
} CYPACKED cfg_memset_t;

/* Defines the layout and meaning of each entry in the cfg_memcpy_list used for initializing registers */
typedef struct {
	void CYFAR *dest;
	const void CYFAR *src;
	uint16 size;
} CYPACKED cfg_memcpy_t;

/* TD structure for little-endian systems. Does not require endian swap */
struct td_t {
	uint16 size;
	uint8 next_td_ptr;
	uint8 flags;
	uint16 src;
	uint16 dest;
} CYPACKED;

/* IDMUX Address: CYREG_IDMUX_DRQ_CTL0 Size (bytes): 6 */
#define BS_IDMUX_VAL ((const uint8 CYFAR *)0x48000000)

/* IDMUX_IRQ Address: CYREG_IDMUX_IRQ_CTL0 Size (bytes): 8 */
#define BS_IDMUX_IRQ_VAL ((const uint8 CYFAR *)0x48000008)

/* CMP2 Address: CYREG_CMP2_SW0 Size (bytes): 8 */
#define BS_CMP2_VAL ((const uint8 CYFAR *)0x48000010)

/* CMP3 Address: CYREG_CMP3_SW0 Size (bytes): 8 */
#define BS_CMP3_VAL ((const uint8 CYFAR *)0x48000018)

/* DSM0 Address: CYREG_DSM0_SW0 Size (bytes): 8 */
#define BS_DSM0_VAL ((const uint8 CYFAR *)0x48000020)

/* TMR0 Address: CYREG_TMR0_CFG0 Size (bytes): 11 */
#define BS_TMR0_VAL ((const uint8 CYFAR *)0x48000028)

/* TMR1 Address: CYREG_TMR1_CFG0 Size (bytes): 11 */
#define BS_TMR1_VAL ((const uint8 CYFAR *)0x48000034)

/* UDB_1_5_0_CONFIG Address: CYDEV_UCFG_B0_P0_U0_BASE Size (bytes): 128 */
#define BS_UDB_1_5_0_CONFIG_VAL ((const uint8 CYFAR *)0x48000040)

/* UDB_1_5_1_CONFIG Address: CYDEV_UCFG_B0_P0_U1_BASE Size (bytes): 128 */
#define BS_UDB_1_5_1_CONFIG_VAL ((const uint8 CYFAR *)0x480000C0)

/* UDB_1_4_1_CONFIG Address: CYDEV_UCFG_B0_P1_U0_BASE Size (bytes): 128 */
#define BS_UDB_1_4_1_CONFIG_VAL ((const uint8 CYFAR *)0x48000140)

/* UDB_1_4_0_CONFIG Address: CYDEV_UCFG_B0_P1_U1_BASE Size (bytes): 128 */
#define BS_UDB_1_4_0_CONFIG_VAL ((const uint8 CYFAR *)0x480001C0)

/* UDB_1_3_0_CONFIG Address: CYDEV_UCFG_B0_P2_U0_BASE Size (bytes): 128 */
#define BS_UDB_1_3_0_CONFIG_VAL ((const uint8 CYFAR *)0x48000240)

/* UDB_1_3_1_CONFIG Address: CYDEV_UCFG_B0_P2_U1_BASE Size (bytes): 128 */
#define BS_UDB_1_3_1_CONFIG_VAL ((const uint8 CYFAR *)0x480002C0)

/* UDB_1_2_1_CONFIG Address: CYDEV_UCFG_B0_P3_U0_BASE Size (bytes): 128 */
#define BS_UDB_1_2_1_CONFIG_VAL ((const uint8 CYFAR *)0x48000340)

/* UDB_1_2_0_CONFIG Address: CYDEV_UCFG_B0_P3_U1_BASE Size (bytes): 128 */
#define BS_UDB_1_2_0_CONFIG_VAL ((const uint8 CYFAR *)0x480003C0)

/* UDB_1_0_0_CONFIG Address: CYDEV_UCFG_B1_P2_U0_BASE Size (bytes): 128 */
#define BS_UDB_1_0_0_CONFIG_VAL ((const uint8 CYFAR *)0x48000440)

/* UDB_1_0_1_CONFIG Address: CYDEV_UCFG_B1_P2_U1_BASE Size (bytes): 128 */
#define BS_UDB_1_0_1_CONFIG_VAL ((const uint8 CYFAR *)0x480004C0)

/* UDB_1_1_1_CONFIG Address: CYDEV_UCFG_B1_P3_U0_BASE Size (bytes): 128 */
#define BS_UDB_1_1_1_CONFIG_VAL ((const uint8 CYFAR *)0x48000540)

/* UDB_1_1_0_CONFIG Address: CYDEV_UCFG_B1_P3_U1_BASE Size (bytes): 128 */
#define BS_UDB_1_1_0_CONFIG_VAL ((const uint8 CYFAR *)0x480005C0)

/* UDB_0_1_1_CONFIG Address: CYDEV_UCFG_B1_P4_U0_BASE Size (bytes): 128 */
#define BS_UDB_0_1_1_CONFIG_VAL ((const uint8 CYFAR *)0x48000640)

/* UDB_0_1_0_CONFIG Address: CYDEV_UCFG_B1_P4_U1_BASE Size (bytes): 128 */
#define BS_UDB_0_1_0_CONFIG_VAL ((const uint8 CYFAR *)0x480006C0)

/* UWRK_B1_WRK_DP_BITS Address: CYDEV_UWRK_UWRK8_B1_BASE Size (bytes): 64 */
#define BS_UWRK_B1_WRK_DP_BITS_VAL ((const uint8 CYFAR *)0x48000740)

/* UWRK_B1_WRK_STATCTL_BITS Address: CYDEV_UWRK_UWRK8_B1_BASE + 0x00000070 Size (bytes): 32 */
#define BS_UWRK_B1_WRK_STATCTL_BITS_VAL ((const uint8 CYFAR *)0x48000780)

/* DSISWITCH_0_0 Address: CYDEV_UCFG_DSI13_BASE Size (bytes): 128 */
#define BS_DSISWITCH_0_0_VAL ((const uint8 CYFAR *)0x480007A0)

/* DSI0_0_HV_ROUTING Address: CYDEV_UCFG_DSI13_BASE + 0x00000080 Size (bytes): 128 */
#define BS_DSI0_0_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48000820)

/* DSISWITCH_0_1 Address: CYDEV_UCFG_DSI12_BASE Size (bytes): 128 */
#define BS_DSISWITCH_0_1_VAL ((const uint8 CYFAR *)0x480008A0)

/* DSI0_1_HV_ROUTING Address: CYDEV_UCFG_DSI12_BASE + 0x00000080 Size (bytes): 128 */
#define BS_DSI0_1_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48000920)

/* DSISWITCH_0_2 Address: CYDEV_UCFG_DSI7_BASE Size (bytes): 128 */
#define BS_DSISWITCH_0_2_VAL ((const uint8 CYFAR *)0x480009A0)

/* DSI0_2_HV_ROUTING Address: CYDEV_UCFG_DSI7_BASE + 0x00000080 Size (bytes): 128 */
#define BS_DSI0_2_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48000A20)

/* DSISWITCH_0_3 Address: CYDEV_UCFG_DSI6_BASE Size (bytes): 128 */
#define BS_DSISWITCH_0_3_VAL ((const uint8 CYFAR *)0x48000AA0)

/* DSI0_3_HV_ROUTING Address: CYDEV_UCFG_DSI6_BASE + 0x00000080 Size (bytes): 128 */
#define BS_DSI0_3_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48000B20)

/* DSISWITCH_0_4 Address: CYDEV_UCFG_DSI5_BASE Size (bytes): 128 */
#define BS_DSISWITCH_0_4_VAL ((const uint8 CYFAR *)0x48000BA0)

/* DSI0_4_HV_ROUTING Address: CYDEV_UCFG_DSI5_BASE + 0x00000080 Size (bytes): 128 */
#define BS_DSI0_4_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48000C20)

/* DSISWITCH_0_5 Address: CYDEV_UCFG_DSI4_BASE Size (bytes): 128 */
#define BS_DSISWITCH_0_5_VAL ((const uint8 CYFAR *)0x48000CA0)

/* DSI0_5_HV_ROUTING Address: CYDEV_UCFG_DSI4_BASE + 0x00000080 Size (bytes): 128 */
#define BS_DSI0_5_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48000D20)

/* UDB_1_0_HV_ROUTING Address: CYDEV_UCFG_B1_P5_ROUTE_BASE + 0x00000080 Size (bytes): 128 */
#define BS_UDB_1_0_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48000DA0)

/* UDBSWITCH_1_0 Address: CYDEV_UCFG_B1_P2_ROUTE_BASE Size (bytes): 128 */
#define BS_UDBSWITCH_1_0_VAL ((const uint8 CYFAR *)0x48000E20)

/* UDB_2_0_HV_ROUTING Address: CYDEV_UCFG_B1_P2_ROUTE_BASE + 0x00000080 Size (bytes): 128 */
#define BS_UDB_2_0_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48000EA0)

/* UDBSWITCH_0_1 Address: CYDEV_UCFG_B1_P4_ROUTE_BASE Size (bytes): 128 */
#define BS_UDBSWITCH_0_1_VAL ((const uint8 CYFAR *)0x48000F20)

/* UDB_1_1_HV_ROUTING Address: CYDEV_UCFG_B1_P4_ROUTE_BASE + 0x00000080 Size (bytes): 128 */
#define BS_UDB_1_1_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48000FA0)

/* UDBSWITCH_1_1 Address: CYDEV_UCFG_B1_P3_ROUTE_BASE Size (bytes): 128 */
#define BS_UDBSWITCH_1_1_VAL ((const uint8 CYFAR *)0x48001020)

/* UDB_2_1_HV_ROUTING Address: CYDEV_UCFG_B1_P3_ROUTE_BASE + 0x00000080 Size (bytes): 128 */
#define BS_UDB_2_1_HV_ROUTING_VAL ((const uint8 CYFAR *)0x480010A0)

/* UDB_1_2_HV_ROUTING Address: CYDEV_UCFG_B0_P4_ROUTE_BASE + 0x00000080 Size (bytes): 128 */
#define BS_UDB_1_2_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48001120)

/* UDBSWITCH_1_2 Address: CYDEV_UCFG_B0_P3_ROUTE_BASE Size (bytes): 128 */
#define BS_UDBSWITCH_1_2_VAL ((const uint8 CYFAR *)0x480011A0)

/* UDB_2_2_HV_ROUTING Address: CYDEV_UCFG_B0_P3_ROUTE_BASE + 0x00000080 Size (bytes): 128 */
#define BS_UDB_2_2_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48001220)

/* UDB_1_3_HV_ROUTING Address: CYDEV_UCFG_B0_P5_ROUTE_BASE + 0x00000080 Size (bytes): 128 */
#define BS_UDB_1_3_HV_ROUTING_VAL ((const uint8 CYFAR *)0x480012A0)

/* UDBSWITCH_1_3 Address: CYDEV_UCFG_B0_P2_ROUTE_BASE Size (bytes): 128 */
#define BS_UDBSWITCH_1_3_VAL ((const uint8 CYFAR *)0x48001320)

/* UDB_2_3_HV_ROUTING Address: CYDEV_UCFG_B0_P2_ROUTE_BASE + 0x00000080 Size (bytes): 128 */
#define BS_UDB_2_3_HV_ROUTING_VAL ((const uint8 CYFAR *)0x480013A0)

/* UDB_1_4_HV_ROUTING Address: CYDEV_UCFG_B0_P6_ROUTE_BASE + 0x00000080 Size (bytes): 128 */
#define BS_UDB_1_4_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48001420)

/* UDBSWITCH_1_4 Address: CYDEV_UCFG_B0_P1_ROUTE_BASE Size (bytes): 128 */
#define BS_UDBSWITCH_1_4_VAL ((const uint8 CYFAR *)0x480014A0)

/* UDB_2_4_HV_ROUTING Address: CYDEV_UCFG_B0_P1_ROUTE_BASE + 0x00000080 Size (bytes): 128 */
#define BS_UDB_2_4_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48001520)

/* UDB_1_5_HV_ROUTING Address: CYDEV_UCFG_B0_P7_ROUTE_BASE + 0x00000080 Size (bytes): 128 */
#define BS_UDB_1_5_HV_ROUTING_VAL ((const uint8 CYFAR *)0x480015A0)

/* UDBSWITCH_1_5 Address: CYDEV_UCFG_B0_P0_ROUTE_BASE Size (bytes): 128 */
#define BS_UDBSWITCH_1_5_VAL ((const uint8 CYFAR *)0x48001620)

/* UDB_2_5_HV_ROUTING Address: CYDEV_UCFG_B0_P0_ROUTE_BASE + 0x00000080 Size (bytes): 128 */
#define BS_UDB_2_5_HV_ROUTING_VAL ((const uint8 CYFAR *)0x480016A0)

/* DSI3_0_HV_ROUTING Address: CYDEV_UCFG_DSI9_BASE + 0x00000080 Size (bytes): 128 */
#define BS_DSI3_0_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48001720)

/* DSISWITCH_1_1 Address: CYDEV_UCFG_DSI8_BASE Size (bytes): 128 */
#define BS_DSISWITCH_1_1_VAL ((const uint8 CYFAR *)0x480017A0)

/* DSI3_1_HV_ROUTING Address: CYDEV_UCFG_DSI8_BASE + 0x00000080 Size (bytes): 128 */
#define BS_DSI3_1_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48001820)

/* DSISWITCH_1_2 Address: CYDEV_UCFG_DSI3_BASE Size (bytes): 128 */
#define BS_DSISWITCH_1_2_VAL ((const uint8 CYFAR *)0x480018A0)

/* DSI3_2_HV_ROUTING Address: CYDEV_UCFG_DSI3_BASE + 0x00000080 Size (bytes): 128 */
#define BS_DSI3_2_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48001920)

/* DSISWITCH_1_3 Address: CYDEV_UCFG_DSI2_BASE Size (bytes): 128 */
#define BS_DSISWITCH_1_3_VAL ((const uint8 CYFAR *)0x480019A0)

/* DSI3_3_HV_ROUTING Address: CYDEV_UCFG_DSI2_BASE + 0x00000080 Size (bytes): 128 */
#define BS_DSI3_3_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48001A20)

/* DSISWITCH_1_4 Address: CYDEV_UCFG_DSI1_BASE Size (bytes): 128 */
#define BS_DSISWITCH_1_4_VAL ((const uint8 CYFAR *)0x48001AA0)

/* DSI3_4_HV_ROUTING Address: CYDEV_UCFG_DSI1_BASE + 0x00000080 Size (bytes): 128 */
#define BS_DSI3_4_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48001B20)

/* DSISWITCH_1_5 Address: CYDEV_UCFG_DSI0_BASE Size (bytes): 128 */
#define BS_DSISWITCH_1_5_VAL ((const uint8 CYFAR *)0x48001BA0)

/* DSI3_5_HV_ROUTING Address: CYDEV_UCFG_DSI0_BASE + 0x00000080 Size (bytes): 128 */
#define BS_DSI3_5_HV_ROUTING_VAL ((const uint8 CYFAR *)0x48001C20)

/* UCFG_BCTL1 Address: CYREG_BCTL1_MDCLK_EN Size (bytes): 16 */
#define BS_UCFG_BCTL1_VAL ((const uint8 CYFAR *)0x48001CA0)

/* UCFG_BCTL0 Address: CYREG_BCTL0_MDCLK_EN Size (bytes): 16 */
#define BS_UCFG_BCTL0_VAL ((const uint8 CYFAR *)0x48001CB0)

/* IOPINS0_0 Address: CYREG_PRT0_DM0 Size (bytes): 8 */
#define BS_IOPINS0_0_VAL ((const uint8 CYFAR *)0x48001CC0)

/* IOPINS0_1 Address: CYREG_PRT1_DM0 Size (bytes): 8 */
#define BS_IOPINS0_1_VAL ((const uint8 CYFAR *)0x48001CC8)

/* IOPINS0_7 Address: CYREG_PRT12_DM0 Size (bytes): 8 */
#define BS_IOPINS0_7_VAL ((const uint8 CYFAR *)0x48001CD0)

/* IOPINS0_8 Address: CYREG_PRT15_DR Size (bytes): 10 */
#define BS_IOPINS0_8_VAL ((const uint8 CYFAR *)0x48001CD8)

/* IOPINS0_2 Address: CYREG_PRT2_DM0 Size (bytes): 8 */
#define BS_IOPINS0_2_VAL ((const uint8 CYFAR *)0x48001CE4)

/* IOPINS0_3 Address: CYREG_PRT3_DM0 Size (bytes): 8 */
#define BS_IOPINS0_3_VAL ((const uint8 CYFAR *)0x48001CEC)

/* IOPINS0_4 Address: CYREG_PRT4_DM0 Size (bytes): 8 */
#define BS_IOPINS0_4_VAL ((const uint8 CYFAR *)0x48001CF4)

/* IOPINS0_5 Address: CYREG_PRT5_DM0 Size (bytes): 8 */
#define BS_IOPINS0_5_VAL ((const uint8 CYFAR *)0x48001CFC)

/* IOPINS0_6 Address: CYREG_PRT6_DR Size (bytes): 10 */
#define BS_IOPINS0_6_VAL ((const uint8 CYFAR *)0x48001D04)

/* IOPORT_2 Address: CYDEV_PRTDSI_PRT2_BASE Size (bytes): 7 */
#define BS_IOPORT_2_VAL ((const uint8 CYFAR *)0x48001D10)

/* IOPORT_5 Address: CYDEV_PRTDSI_PRT5_BASE Size (bytes): 7 */
#define BS_IOPORT_5_VAL ((const uint8 CYFAR *)0x48001D18)

/* CYDEV_CLKDIST_ACFG0_CFG0 Address: CYREG_CLKDIST_ACFG0_CFG0 Size (bytes): 8 */
#define BS_CYDEV_CLKDIST_ACFG0_CFG0_VAL ((const uint8 CYFAR *)0x48001D20)


/* PHUB_CH2_CFGMEM_CFG0/1 initialization data */
static const uint8 CYCODE CH2_ADDR_DATA0[] DMAINITSEC = { 0x01, 0x00, 0x00, 0x00, 0x00, 0x20, 0x01, 0x40 };

/* PHUB_CH5_CFGMEM_CFG0/1 initialization data */
static const uint8 CYCODE CH5_ADDR_DATA0[] DMAINITSEC = { 0x01, 0x00, 0x00, 0x00, 0x00, 0x48, 0x00, 0x40 };

/* PHUB_CH6_CFGMEM_CFG0/1 initialization data */
static const uint8 CYCODE CH6_ADDR_DATA0[] DMAINITSEC = { 0x01, 0x00, 0x00, 0x00, 0x00, 0x48, 0x01, 0x40 };

/* Initialization data for each DMA channel's TD registers */
static const uint8 CYCODE DMA_TD_START_CMD[] DMAINITSEC = { 0x01, 0x00, 0x00, 0x00, 0x01 };

static uint32 CYXDATA DMA_ZERO_VAL CYALIGNED;

/* This table holds all of the initialization data necessary for the DMA
   process to transfer data from the source location to the destination. */
/* Source addresses can be relocated, but only when in 32bit addresses.
   Because the standard TD table only has 16bit addresses, we generate a
   seperate CFG_TD_ADDR table for the source addresses that supports 32bit
   addresses. */
static const struct td_t CYCODE CFG_TD_LIST0[] DMAINITSEC = {
/* Size, Next, Flags, Source, Destination */
	{ 8, 0x02, 0x23, (uint16)(0), (uint16)(CYREG_PHUB_CFGMEM2_CFG0) },	/* TD 1 */
	{ 8, 0x03, 0x23, (uint16)(0), (uint16)(CYREG_PHUB_CFGMEM5_CFG0) },	/* TD 2 */
	{ 8, 0x04, 0x23, (uint16)(0), (uint16)(CYREG_PHUB_CFGMEM6_CFG0) },	/* TD 3 */
	{ 5, 0x05, 0x23, (uint16)(0), (uint16)(CYREG_PHUB_CH2_BASIC_CFG) },	/* TD 4 */
	{ 5, 0x06, 0x23, (uint16)(0), (uint16)(CYREG_PHUB_CH5_BASIC_CFG) },	/* TD 5 */
	{ 5, 0xFF, 0x23, (uint16)(0), (uint16)(CYREG_PHUB_CH6_BASIC_CFG) },	/* TD 6 */
	{ 384, 0x08, 0x22, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P4_U0_BASE) },	/* TD 7 */
	{ 384, 0x09, 0x22, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P5_U0_BASE) },	/* TD 8 */
	{ 384, 0x0A, 0x22, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P6_U0_BASE) },	/* TD 9 */
	{ 384, 0x0B, 0x22, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P7_U0_BASE) },	/* TD 10 */
	{ 384, 0x0C, 0x22, (uint16)(0), (uint16)(CYDEV_UCFG_B1_P5_U0_BASE) },	/* TD 11 */
	{ 128, 0xFF, 0x22, (uint16)(0), (uint16)(CYDEV_UCFG_DSI9_BASE) },	/* TD 12 */
	{ 8, 0x0E, 0x23, (uint16)(0), (uint16)(CYREG_CMP2_SW0) },	/* TD 13 */
	{ 8, 0x0F, 0x23, (uint16)(0), (uint16)(CYREG_CMP3_SW0) },	/* TD 14 */
	{ 8, 0x10, 0x23, (uint16)(0), (uint16)(CYREG_DSM0_SW0) },	/* TD 15 */
	{ 11, 0x11, 0x23, (uint16)(0), (uint16)(CYREG_TMR0_CFG0) },	/* TD 16 */
	{ 11, 0x12, 0x23, (uint16)(0), (uint16)(CYREG_TMR1_CFG0) },	/* TD 17 */
	{ 64, 0x13, 0x23, (uint16)(0), (uint16)(CYDEV_UWRK_UWRK8_B1_BASE) },	/* TD 18 */
	{ 32, 0xFF, 0x23, (uint16)(0), (uint16)(CYDEV_UWRK_UWRK8_B1_BASE + 0x00000070) },	/* TD 19 */
	{ 8, 0x15, 0x23, (uint16)(0), (uint16)(CYREG_IDMUX_IRQ_CTL0) },	/* TD 20 */
	{ 128, 0x16, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P0_U0_BASE) },	/* TD 21 */
	{ 128, 0x17, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P0_U1_BASE) },	/* TD 22 */
	{ 128, 0x18, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P1_U0_BASE) },	/* TD 23 */
	{ 128, 0x19, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P1_U1_BASE) },	/* TD 24 */
	{ 128, 0x1A, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P2_U0_BASE) },	/* TD 25 */
	{ 128, 0x1B, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P2_U1_BASE) },	/* TD 26 */
	{ 128, 0x1C, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P3_U0_BASE) },	/* TD 27 */
	{ 128, 0x1D, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P3_U1_BASE) },	/* TD 28 */
	{ 128, 0x1E, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B1_P2_U0_BASE) },	/* TD 29 */
	{ 128, 0x1F, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B1_P2_U1_BASE) },	/* TD 30 */
	{ 128, 0x20, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B1_P3_U0_BASE) },	/* TD 31 */
	{ 128, 0x21, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B1_P3_U1_BASE) },	/* TD 32 */
	{ 128, 0x22, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B1_P4_U0_BASE) },	/* TD 33 */
	{ 128, 0x23, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B1_P4_U1_BASE) },	/* TD 34 */
	{ 128, 0x24, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI13_BASE) },	/* TD 35 */
	{ 128, 0x25, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI13_BASE + 0x00000080) },	/* TD 36 */
	{ 128, 0x26, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI12_BASE) },	/* TD 37 */
	{ 128, 0x27, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI12_BASE + 0x00000080) },	/* TD 38 */
	{ 128, 0x28, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI7_BASE) },	/* TD 39 */
	{ 128, 0x29, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI7_BASE + 0x00000080) },	/* TD 40 */
	{ 128, 0x2A, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI6_BASE) },	/* TD 41 */
	{ 128, 0x2B, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI6_BASE + 0x00000080) },	/* TD 42 */
	{ 128, 0x2C, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI5_BASE) },	/* TD 43 */
	{ 128, 0x2D, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI5_BASE + 0x00000080) },	/* TD 44 */
	{ 128, 0x2E, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI4_BASE) },	/* TD 45 */
	{ 128, 0x2F, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI4_BASE + 0x00000080) },	/* TD 46 */
	{ 128, 0x30, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B1_P5_ROUTE_BASE + 0x00000080) },	/* TD 47 */
	{ 128, 0x31, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B1_P2_ROUTE_BASE) },	/* TD 48 */
	{ 128, 0x32, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B1_P2_ROUTE_BASE + 0x00000080) },	/* TD 49 */
	{ 128, 0x33, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B1_P4_ROUTE_BASE) },	/* TD 50 */
	{ 128, 0x34, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B1_P4_ROUTE_BASE + 0x00000080) },	/* TD 51 */
	{ 128, 0x35, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B1_P3_ROUTE_BASE) },	/* TD 52 */
	{ 128, 0x36, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B1_P3_ROUTE_BASE + 0x00000080) },	/* TD 53 */
	{ 128, 0x37, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P4_ROUTE_BASE + 0x00000080) },	/* TD 54 */
	{ 128, 0x38, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P3_ROUTE_BASE) },	/* TD 55 */
	{ 128, 0x39, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P3_ROUTE_BASE + 0x00000080) },	/* TD 56 */
	{ 128, 0x3A, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P5_ROUTE_BASE + 0x00000080) },	/* TD 57 */
	{ 128, 0x3B, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P2_ROUTE_BASE) },	/* TD 58 */
	{ 128, 0x3C, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P2_ROUTE_BASE + 0x00000080) },	/* TD 59 */
	{ 128, 0x3D, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P6_ROUTE_BASE + 0x00000080) },	/* TD 60 */
	{ 128, 0x3E, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P1_ROUTE_BASE) },	/* TD 61 */
	{ 128, 0x3F, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P1_ROUTE_BASE + 0x00000080) },	/* TD 62 */
	{ 128, 0x40, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P7_ROUTE_BASE + 0x00000080) },	/* TD 63 */
	{ 128, 0x41, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P0_ROUTE_BASE) },	/* TD 64 */
	{ 128, 0x42, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_B0_P0_ROUTE_BASE + 0x00000080) },	/* TD 65 */
	{ 128, 0x43, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI9_BASE + 0x00000080) },	/* TD 66 */
	{ 128, 0x44, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI8_BASE) },	/* TD 67 */
	{ 128, 0x45, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI8_BASE + 0x00000080) },	/* TD 68 */
	{ 128, 0x46, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI3_BASE) },	/* TD 69 */
	{ 128, 0x47, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI3_BASE + 0x00000080) },	/* TD 70 */
	{ 128, 0x48, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI2_BASE) },	/* TD 71 */
	{ 128, 0x49, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI2_BASE + 0x00000080) },	/* TD 72 */
	{ 128, 0x4A, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI1_BASE) },	/* TD 73 */
	{ 128, 0x4B, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI1_BASE + 0x00000080) },	/* TD 74 */
	{ 128, 0x4C, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI0_BASE) },	/* TD 75 */
	{ 128, 0x4D, 0x23, (uint16)(0), (uint16)(CYDEV_UCFG_DSI0_BASE + 0x00000080) },	/* TD 76 */
	{ 16, 0x4E, 0x23, (uint16)(0), (uint16)(CYREG_BCTL1_MDCLK_EN) },	/* TD 77 */
	{ 16, 0xFF, 0x23, (uint16)(0), (uint16)(CYREG_BCTL0_MDCLK_EN) },	/* TD 78 */
};
/* Source addresses can be relocated, but only when in 32bit addresses.
   Because the standard TD table only has 16bit addresses, we generate a
   seperate table for the source addresses that does use 32bit addresses. This
   table will be remerged with the corresponding CFG_TD_LIST table during
   initialization. */
static const void * const CFG_TD_ADDR0[] = {
	(const void *)(&CH2_ADDR_DATA0),	/* TD 1 */
	(const void *)(&CH5_ADDR_DATA0),	/* TD 2 */
	(const void *)(&CH6_ADDR_DATA0),	/* TD 3 */
	(const void *)(&DMA_TD_START_CMD),	/* TD 4 */
	(const void *)(&DMA_TD_START_CMD),	/* TD 5 */
	(const void *)(&DMA_TD_START_CMD),	/* TD 6 */
	(const void *)(&DMA_ZERO_VAL),	/* TD 7 */
	(const void *)(&DMA_ZERO_VAL),	/* TD 8 */
	(const void *)(&DMA_ZERO_VAL),	/* TD 9 */
	(const void *)(&DMA_ZERO_VAL),	/* TD 10 */
	(const void *)(&DMA_ZERO_VAL),	/* TD 11 */
	(const void *)(&DMA_ZERO_VAL),	/* TD 12 */
	(const void *)(BS_CMP2_VAL),	/* TD 13 */
	(const void *)(BS_CMP3_VAL),	/* TD 14 */
	(const void *)(BS_DSM0_VAL),	/* TD 15 */
	(const void *)(BS_TMR0_VAL),	/* TD 16 */
	(const void *)(BS_TMR1_VAL),	/* TD 17 */
	(const void *)(BS_UWRK_B1_WRK_DP_BITS_VAL),	/* TD 18 */
	(const void *)(BS_UWRK_B1_WRK_STATCTL_BITS_VAL),	/* TD 19 */
	(const void *)(BS_IDMUX_IRQ_VAL),	/* TD 20 */
	(const void *)(BS_UDB_1_5_0_CONFIG_VAL),	/* TD 21 */
	(const void *)(BS_UDB_1_5_1_CONFIG_VAL),	/* TD 22 */
	(const void *)(BS_UDB_1_4_1_CONFIG_VAL),	/* TD 23 */
	(const void *)(BS_UDB_1_4_0_CONFIG_VAL),	/* TD 24 */
	(const void *)(BS_UDB_1_3_0_CONFIG_VAL),	/* TD 25 */
	(const void *)(BS_UDB_1_3_1_CONFIG_VAL),	/* TD 26 */
	(const void *)(BS_UDB_1_2_1_CONFIG_VAL),	/* TD 27 */
	(const void *)(BS_UDB_1_2_0_CONFIG_VAL),	/* TD 28 */
	(const void *)(BS_UDB_1_0_0_CONFIG_VAL),	/* TD 29 */
	(const void *)(BS_UDB_1_0_1_CONFIG_VAL),	/* TD 30 */
	(const void *)(BS_UDB_1_1_1_CONFIG_VAL),	/* TD 31 */
	(const void *)(BS_UDB_1_1_0_CONFIG_VAL),	/* TD 32 */
	(const void *)(BS_UDB_0_1_1_CONFIG_VAL),	/* TD 33 */
	(const void *)(BS_UDB_0_1_0_CONFIG_VAL),	/* TD 34 */
	(const void *)(BS_DSISWITCH_0_0_VAL),	/* TD 35 */
	(const void *)(BS_DSI0_0_HV_ROUTING_VAL),	/* TD 36 */
	(const void *)(BS_DSISWITCH_0_1_VAL),	/* TD 37 */
	(const void *)(BS_DSI0_1_HV_ROUTING_VAL),	/* TD 38 */
	(const void *)(BS_DSISWITCH_0_2_VAL),	/* TD 39 */
	(const void *)(BS_DSI0_2_HV_ROUTING_VAL),	/* TD 40 */
	(const void *)(BS_DSISWITCH_0_3_VAL),	/* TD 41 */
	(const void *)(BS_DSI0_3_HV_ROUTING_VAL),	/* TD 42 */
	(const void *)(BS_DSISWITCH_0_4_VAL),	/* TD 43 */
	(const void *)(BS_DSI0_4_HV_ROUTING_VAL),	/* TD 44 */
	(const void *)(BS_DSISWITCH_0_5_VAL),	/* TD 45 */
	(const void *)(BS_DSI0_5_HV_ROUTING_VAL),	/* TD 46 */
	(const void *)(BS_UDB_1_0_HV_ROUTING_VAL),	/* TD 47 */
	(const void *)(BS_UDBSWITCH_1_0_VAL),	/* TD 48 */
	(const void *)(BS_UDB_2_0_HV_ROUTING_VAL),	/* TD 49 */
	(const void *)(BS_UDBSWITCH_0_1_VAL),	/* TD 50 */
	(const void *)(BS_UDB_1_1_HV_ROUTING_VAL),	/* TD 51 */
	(const void *)(BS_UDBSWITCH_1_1_VAL),	/* TD 52 */
	(const void *)(BS_UDB_2_1_HV_ROUTING_VAL),	/* TD 53 */
	(const void *)(BS_UDB_1_2_HV_ROUTING_VAL),	/* TD 54 */
	(const void *)(BS_UDBSWITCH_1_2_VAL),	/* TD 55 */
	(const void *)(BS_UDB_2_2_HV_ROUTING_VAL),	/* TD 56 */
	(const void *)(BS_UDB_1_3_HV_ROUTING_VAL),	/* TD 57 */
	(const void *)(BS_UDBSWITCH_1_3_VAL),	/* TD 58 */
	(const void *)(BS_UDB_2_3_HV_ROUTING_VAL),	/* TD 59 */
	(const void *)(BS_UDB_1_4_HV_ROUTING_VAL),	/* TD 60 */
	(const void *)(BS_UDBSWITCH_1_4_VAL),	/* TD 61 */
	(const void *)(BS_UDB_2_4_HV_ROUTING_VAL),	/* TD 62 */
	(const void *)(BS_UDB_1_5_HV_ROUTING_VAL),	/* TD 63 */
	(const void *)(BS_UDBSWITCH_1_5_VAL),	/* TD 64 */
	(const void *)(BS_UDB_2_5_HV_ROUTING_VAL),	/* TD 65 */
	(const void *)(BS_DSI3_0_HV_ROUTING_VAL),	/* TD 66 */
	(const void *)(BS_DSISWITCH_1_1_VAL),	/* TD 67 */
	(const void *)(BS_DSI3_1_HV_ROUTING_VAL),	/* TD 68 */
	(const void *)(BS_DSISWITCH_1_2_VAL),	/* TD 69 */
	(const void *)(BS_DSI3_2_HV_ROUTING_VAL),	/* TD 70 */
	(const void *)(BS_DSISWITCH_1_3_VAL),	/* TD 71 */
	(const void *)(BS_DSI3_3_HV_ROUTING_VAL),	/* TD 72 */
	(const void *)(BS_DSISWITCH_1_4_VAL),	/* TD 73 */
	(const void *)(BS_DSI3_4_HV_ROUTING_VAL),	/* TD 74 */
	(const void *)(BS_DSISWITCH_1_5_VAL),	/* TD 75 */
	(const void *)(BS_DSI3_5_HV_ROUTING_VAL),	/* TD 76 */
	(const void *)(BS_UCFG_BCTL1_VAL),	/* TD 77 */
	(const void *)(BS_UCFG_BCTL0_VAL),	/* TD 78 */
};
/*******************************************************************************
* Function Name: cfg_dma_init
********************************************************************************
* Summary:
*  This function is used to copy device configuration data from constant values
*  stored in memory into the proper chip configuration registers using DMA.  It
*  pulls data out of the CFG_TD_LISTs to know exactly how/what to configure.
*
* Parameters:  
*   void
*
* Return:
*   void
*
*******************************************************************************/
static void cfg_dma_init(void)
{
	int i;

	DMA_ZERO_VAL = 0u;
	DMAC_CFGMEM[0].CFG0[0] = 0x10;		/* set burstcount */
	DMAC_CH[0].basic_cfg[0] = 0x01u;	/* enable channel0 */
	DMAC_CH[0].basic_status[1] = 0;		/* set channel0's first td to 0 */
	
	DMAC_TDMEM[0].TD0[2] = 0x01;		/* set td0's next td to 1 */
	DMAC_TDMEM[0].TD0[3] = 0x03;		/* set td0's flags */
	CY_SET_REG16((reg16 *) &DMAC_TDMEM[0].TD0[0], 78*8);					/* set td0's size */
	CY_SET_REG16((reg16 *) &DMAC_TDMEM[0].TD1[0], (uint16)(uint32)CFG_TD_LIST0);	/* set td0's src addr */
	CY_SET_REG16((reg16 *) &DMAC_TDMEM[0].TD1[2], CYDEV_PHUB_TDMEM1_BASE);	/* set td0's dst addr */
	CY_SET_REG16((reg16 *) &DMAC_CFGMEM[0].CFG1[0], (uint16)(CYDEV_FLASH_BASE >> 16));				/* set ch0's src high addr */
	CY_SET_REG16((reg16 *) &DMAC_CFGMEM[0].CFG1[2], (uint16)(CYDEV_PHUB_TDMEM1_BASE >> 16));				/* set ch0's dst high addr */
	DMAC_CH[2].basic_status[1] = 0x07; /* First TD = 7 */
	DMAC_CH[5].basic_status[1] = 0x0D; /* First TD = 13 */
	DMAC_CH[6].basic_status[1] = 0x14; /* First TD = 20 */

	CY_CFG_MEMORY_BARRIER();
	DMAC_CH[0].action[0] = CPU_REQ;    /* initiate the DMA transfer */
	CY_CFG_MEMORY_BARRIER();

	/* Wait for TDs to be copied into TDMEM */
	while ((*(volatile uint16 *)(DMAC_TDMEM[0].TD0))) {}

	/* Recombine TD source table (CFG_TD_ADDR) with full TD table (CFG_TD_LIST) */
	for (i = 0; i < 78; i++)
	{
		volatile uint8 *srcAddrPtr = &DMAC_TDMEM[i+1].TD1[0];
		CY_SET_REG16(srcAddrPtr, (uint16)(uint32)CFG_TD_ADDR0[i]);
	}

	CY_CFG_MEMORY_BARRIER();
	DMAC_CH[0].action[0] = CPU_REQ;    /* initiate the DMA transfer */
	CY_CFG_MEMORY_BARRIER();

	/* Wait for all DMA transfers to complete */
	while((CY_GET_REG8(CYREG_PHUB_CH0_BASIC_STATUS) & 0x01u)){}
	while((CY_GET_REG8(CYREG_PHUB_CH2_BASIC_STATUS) & 0x01u)){}
	while((CY_GET_REG8(CYREG_PHUB_CH5_BASIC_STATUS) & 0x01u)){}
	while((CY_GET_REG8(CYREG_PHUB_CH6_BASIC_STATUS) & 0x01u)){}

	/* DMA initialization is complete, disable all channels */
	CY_SET_REG8(CYREG_PHUB_CH0_BASIC_CFG, 0x00);
	CY_SET_REG8(CYREG_PHUB_CH2_BASIC_CFG, 0x00);
	CY_SET_REG8(CYREG_PHUB_CH5_BASIC_CFG, 0x00);
	CY_SET_REG8(CYREG_PHUB_CH6_BASIC_CFG, 0x00);

	CYCONFIGCPY((void CYFAR *)(CYREG_IDMUX_DRQ_CTL0), (void CYFAR *)(BS_IDMUX_VAL), 6);

}
/*******************************************************************************
* Function Name: ClockSetup
********************************************************************************
*
* Summary:
*  Performs the initialization of all of the clocks in the device based on the
*  settings in the Clock tab of the DWR.  This includes enabling the requested
*  clocks and setting the necessary dividers to produce the desired frequency. 
*
* Parameters:
*  void
*
* Return:
*  void
*
*******************************************************************************/
static void ClockSetup(void)
{
	reg32  timeout;
	reg32* timeout_p = &timeout;
	reg8   pllLock;


	/* Configure Digital Clocks based on settings from Clock DWR */
	CY_SET_XTND_REG24((void CYFAR *)(CYREG_CLKDIST_DCFG0_CFG0), 0x190001);
	CY_SET_XTND_REG24((void CYFAR *)(CYREG_CLKDIST_DCFG1_CFG0), 0x180009);
	CY_SET_XTND_REG24((void CYFAR *)(CYREG_CLKDIST_DCFG2_CFG0), 0x180014);
	CY_SET_XTND_REG24((void CYFAR *)(CYREG_CLKDIST_DCFG3_CFG0), 0x19000B);
	CY_SET_XTND_REG24((void CYFAR *)(CYREG_CLKDIST_DCFG4_CFG0), 0x1A000B);
	CY_SET_XTND_REG24((void CYFAR *)(CYREG_CLKDIST_DCFG5_CFG0), 0x1904AF);

	/* Configure Analog Clocks based on settings from Clock DWR */
	CYCONFIGCPY((void CYFAR *)(CYREG_CLKDIST_ACFG0_CFG0), (void CYFAR *)(BS_CYDEV_CLKDIST_ACFG0_CFG0_VAL), 8);

	/* Configure ILO based on settings from Clock DWR */
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_SLOWCLK_ILO_CR0), 0x06);

	/* Configure XTAL based on settings from Clock DWR */
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_FASTCLK_XMHZ_CFG0), 0x19);
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_FASTCLK_XMHZ_CSR), 0x07);
	/* Wait 130000us for the XTAL to lock */
	CyDelayCycles(130000 * 12); /* Delay 130000us based on 12MHz clock */
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_CLKDIST_CR), 0x40);

	/* Configure IMO based on settings from Clock DWR */
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_FASTCLK_IMO_CR), 0x20);

	/* Configure PLL based on settings from Clock DWR */
	CY_SET_XTND_REG16((void CYFAR *)(CYREG_FASTCLK_PLL_P), 0x0513);
	CY_SET_XTND_REG16((void CYFAR *)(CYREG_FASTCLK_PLL_CFG0), 0x1051);
	/* Wait up to 250us for the PLL to lock */
	pllLock = 0;
	for (timeout = 250 / 10; *timeout_p && (pllLock != 0x03u); timeout--) { 
		pllLock = 0x03u & ((pllLock << 1) | ((CY_GET_XTND_REG8(CYREG_FASTCLK_PLL_SR) & 0x01u) >> 0));
		CyDelayCycles(10 * 12); /* Delay 10us based on 12MHz clock */
	}

	/* Configure Bus/Master Clock based on settings from Clock DWR */
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_CLKDIST_MSTR0), 0x03);
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_CLKDIST_MSTR1), 0x01);
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_CLKDIST_MSTR0), 0x00);
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_CLKDIST_MSTR0), 0x07);
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_CLKDIST_BCFG0), 0x00);
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_CLKDIST_BCFG2), 0x48);
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_CLKDIST_MSTR0), 0x00);
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_CLKDIST_LD), 0x02);
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_CLKDIST_DLY1), 0x04);

	CY_SET_XTND_REG8((void CYFAR *)(CYREG_PM_ACT_CFG2), ((CY_GET_XTND_REG8(CYREG_PM_ACT_CFG2) | 0x3F)));
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_PM_ACT_CFG1), ((CY_GET_XTND_REG8(CYREG_PM_ACT_CFG1) | 0x03)));
}


/* Analog API Functions */

/*******************************************************************************
* Function Name: AnalogSetDefault
********************************************************************************
*
* Summary:
*  Sets up the analog portions of the chip to default values based on chip
*  configuration options from the project.
*
* Parameters:
*  void
*
* Return:
*  void
*
*******************************************************************************/
void AnalogSetDefault(void)
{
	CY_SET_XTND_REG16(CYREG_PM_ACT_CFG10, 0x0310);
	CY_SET_XTND_REG8(CYREG_PRT1_AG, 0x40);
	CY_SET_XTND_REG8(CYREG_PRT6_AG, 0x10);
	CY_SET_XTND_REG8(CYREG_DAC0_CR0, 0x1E);
	CY_SET_XTND_REG8(CYREG_DAC1_CR0, 0x1E);
	CY_SET_XTND_REG8(CYREG_DAC2_CR0, 0x1E);
	CY_SET_XTND_REG8(CYREG_DAC3_CR0, 0x1E);
	CY_SET_XTND_REG8(CYREG_BG_CR0, 0x09);
	CY_SET_XTND_REG8(CYREG_CAPSL_CFG0, 0x00);
	CY_SET_XTND_REG16(CYREG_SAR0_CSR0, 0x40C0);
	CY_SET_XTND_REG8(CYREG_SAR0_CSR3, 0x0C);
	CY_SET_XTND_REG16(CYREG_SAR1_CSR0, 0x40C0);
	CY_SET_XTND_REG8(CYREG_SAR1_CSR3, 0x0C);
	CY_SET_XTND_REG8(CYREG_SC1_SW8, 0x80);
	CY_SET_XTND_REG8(CYREG_SC2_SW8, 0x10);
	CY_SET_XTND_REG8(CYREG_DAC0_SW2, 0x08);
	CY_SET_XTND_REG8(CYREG_DAC2_SW0, 0x20);
	CY_SET_XTND_REG8(CYREG_DAC3_SW0, 0x20);
	CY_SET_XTND_REG8(CYREG_CMP0_SW3, 0x20);
	CY_SET_XTND_REG8(CYREG_CMP1_SW0, 0x04);
	CY_SET_XTND_REG8(CYREG_CMP1_SW3, 0x40);
	CY_SET_XTND_REG8(CYREG_CMP2_SW0, 0x10);
	CY_SET_XTND_REG8(CYREG_CMP2_SW4, 0x20);
	CY_SET_XTND_REG8(CYREG_CMP3_SW0, 0x80);
	CY_SET_XTND_REG8(CYREG_CMP3_SW4, 0x20);
	CY_SET_XTND_REG8(CYREG_DSM0_SW0, 0x08);
	CY_SET_XTND_REG8(CYREG_SAR0_SW0, 0x10);
	CY_SET_XTND_REG8(CYREG_SAR0_SW3, 0x20);
	CY_SET_XTND_REG8(CYREG_SAR1_SW0, 0x80);
	CY_SET_XTND_REG8(CYREG_SAR1_SW3, 0x20);
	CY_SET_XTND_REG16(CYREG_ABUF2_MX, 0x0108);
	CY_SET_XTND_REG8(CYREG_BUS_SW0, 0x40);
	CY_SET_XTND_REG8(CYREG_BUS_SW3, 0x01);
	CY_SET_XTND_REG8(CYREG_PUMP_CR0, 0x44);
}


/*******************************************************************************
* Function Name: SetAnalogRoutingPumps
********************************************************************************
*
* Summary:
* Enables or disables the analog pumps feeding analog routing switches.
* Intended to be called at startup, based on the Vdda system configuration;
* may be called during operation when the user informs us that the Vdda voltage crossed the pump threshold.
*
* Parameters:
*  enabled - 1 to enable the pumps, 0 to disable the pumps
*
* Return:
*  void
*
*******************************************************************************/
void SetAnalogRoutingPumps(uint8 enabled)
{
	uint8 regValue = CY_GET_XTND_REG8(CYREG_PUMP_CR0);
	if (enabled)
		regValue |= 0x22;
	else
		regValue &= ~0x22;
	CY_SET_XTND_REG8(CYREG_PUMP_CR0, regValue);
}

#define CY_AMUX_UNUSED CYREG_BOOST_SR
/* Table used to specify registers used to implement AMux1 */
uint8 CYXDATA * const CYCODE AMux1__addrTable[] = {
	(uint8 CYXDATA *)CYREG_PRT0_AG, (uint8 CYXDATA *)CYREG_SC1_SW4, 
	(uint8 CYXDATA *)CYREG_PRT1_AG, (uint8 CYXDATA *)CYREG_SC1_SW4, 
};

/* Table used to define bit masks used to enable inputs for AMux1 */
const uint8 CYCODE AMux1__maskTable[] = {
	0x40, 0x40, 
	0x10, 0x01, 
};

/*******************************************************************************
* Function Name: AMux1_Set
********************************************************************************
* Summary:
*  This function is used to set a particular channel as active on the AMux.
*
* Parameters:  
*   channel - The mux channel input to set as active
*
* Return:
*   void
*
*******************************************************************************/
void AMux1_Set(uint8 channel)
{
	if (channel >= 2)
		return;
	channel += channel;
	*AMux1__addrTable[channel] |= AMux1__maskTable[channel];
	channel++;
	*AMux1__addrTable[channel] |= AMux1__maskTable[channel];
}

/*******************************************************************************
* Function Name: AMux1_Unset
********************************************************************************
* Summary:
*  This function is used to clear a particular channel from being active on the
*  AMux.
*
* Parameters:  
*   channel - The mux channel input to mark inactive
*
* Return:
*   void
*
*******************************************************************************/
void AMux1_Unset(uint8 channel)
{
	if (channel >= 2)
		return;
	channel += channel;
	*AMux1__addrTable[channel] &= ~AMux1__maskTable[channel];
	channel++;
	*AMux1__addrTable[channel] &= ~AMux1__maskTable[channel];
}

/* Table used to specify registers used to implement AMux2 */
uint8 CYXDATA * const CYCODE AMux2__addrTable[] = {
	(uint8 CYXDATA *)CYREG_PRT0_AG, (uint8 CYXDATA *)CYREG_SC2_SW4, 
	(uint8 CYXDATA *)CYREG_PRT6_AG, (uint8 CYXDATA *)CYREG_SC2_SW4, 
};

/* Table used to define bit masks used to enable inputs for AMux2 */
const uint8 CYCODE AMux2__maskTable[] = {
	0x80, 0x80, 
	0x20, 0x02, 
};

/*******************************************************************************
* Function Name: AMux2_Set
********************************************************************************
* Summary:
*  This function is used to set a particular channel as active on the AMux.
*
* Parameters:  
*   channel - The mux channel input to set as active
*
* Return:
*   void
*
*******************************************************************************/
void AMux2_Set(uint8 channel)
{
	if (channel >= 2)
		return;
	channel += channel;
	*AMux2__addrTable[channel] |= AMux2__maskTable[channel];
	channel++;
	*AMux2__addrTable[channel] |= AMux2__maskTable[channel];
}

/*******************************************************************************
* Function Name: AMux2_Unset
********************************************************************************
* Summary:
*  This function is used to clear a particular channel from being active on the
*  AMux.
*
* Parameters:  
*   channel - The mux channel input to mark inactive
*
* Return:
*   void
*
*******************************************************************************/
void AMux2_Unset(uint8 channel)
{
	if (channel >= 2)
		return;
	channel += channel;
	*AMux2__addrTable[channel] &= ~AMux2__maskTable[channel];
	channel++;
	*AMux2__addrTable[channel] &= ~AMux2__maskTable[channel];
}

/* Table used to specify registers used to implement ADC_Freq_AMux */
uint8 CYXDATA * const CYCODE ADC_Freq_AMux__addrTable[] = {
	(uint8 CYXDATA *)CYREG_DSM0_SW3, 
	(uint8 CYXDATA *)CYREG_DSM0_SW3, 
};

/* Table used to define bit masks used to enable inputs for ADC_Freq_AMux */
const uint8 CYCODE ADC_Freq_AMux__maskTable[] = {
	0x40, 
	0x40, 
};

/*******************************************************************************
* Function Name: ADC_Freq_AMux_Set
********************************************************************************
* Summary:
*  This function is used to set a particular channel as active on the AMux.
*
* Parameters:  
*   channel - The mux channel input to set as active
*
* Return:
*   void
*
*******************************************************************************/
void ADC_Freq_AMux_Set(uint8 channel)
{
	if (channel >= 2)
		return;
	*ADC_Freq_AMux__addrTable[channel] |= ADC_Freq_AMux__maskTable[channel];
}

/*******************************************************************************
* Function Name: ADC_Freq_AMux_Unset
********************************************************************************
* Summary:
*  This function is used to clear a particular channel from being active on the
*  AMux.
*
* Parameters:  
*   channel - The mux channel input to mark inactive
*
* Return:
*   void
*
*******************************************************************************/
void ADC_Freq_AMux_Unset(uint8 channel)
{
	if (channel >= 2)
		return;
	*ADC_Freq_AMux__addrTable[channel] &= ~ADC_Freq_AMux__maskTable[channel];
}

/* Table used to specify registers used to implement CapSense_AMuxCH0 */
uint8 CYXDATA * const CYCODE CapSense_AMuxCH0__addrTable[] = {
	(uint8 CYXDATA *)CYREG_PRT5_AMUX, 
	(uint8 CYXDATA *)CYREG_PRT5_AMUX, 
	(uint8 CYXDATA *)CYREG_PRT5_AMUX, 
	(uint8 CYXDATA *)CYREG_PRT5_AMUX, 
	(uint8 CYXDATA *)CYREG_PRT5_AMUX, 
	(uint8 CYXDATA *)CYREG_PRT5_AMUX, 
	(uint8 CYXDATA *)CYREG_PRT5_AMUX, 
	(uint8 CYXDATA *)CYREG_PRT6_AMUX, 
	(uint8 CYXDATA *)CYREG_CMP0_SW3, 
	(uint8 CYXDATA *)CYREG_DAC1_SW3, 
};

/* Table used to define bit masks used to enable inputs for CapSense_AMuxCH0 */
const uint8 CYCODE CapSense_AMuxCH0__maskTable[] = {
	0x01, 
	0x02, 
	0x04, 
	0x08, 
	0x10, 
	0x20, 
	0x40, 
	0x10, 
	0x01, 
	0x10, 
};

/*******************************************************************************
* Function Name: CapSense_AMuxCH0_Set
********************************************************************************
* Summary:
*  This function is used to set a particular channel as active on the AMux.
*
* Parameters:  
*   channel - The mux channel input to set as active
*
* Return:
*   void
*
*******************************************************************************/
void CapSense_AMuxCH0_Set(uint8 channel)
{
	if (channel >= 10)
		return;
	*CapSense_AMuxCH0__addrTable[channel] |= CapSense_AMuxCH0__maskTable[channel];
}

/*******************************************************************************
* Function Name: CapSense_AMuxCH0_Unset
********************************************************************************
* Summary:
*  This function is used to clear a particular channel from being active on the
*  AMux.
*
* Parameters:  
*   channel - The mux channel input to mark inactive
*
* Return:
*   void
*
*******************************************************************************/
void CapSense_AMuxCH0_Unset(uint8 channel)
{
	if (channel >= 10)
		return;
	*CapSense_AMuxCH0__addrTable[channel] &= ~CapSense_AMuxCH0__maskTable[channel];
}

int8 AMuxSeq_curChannel = -1;

void AMuxSeq_DisconnectAll(void)
{
	AMuxSeq_curChannel = -1;
	CY_SET_REG8(CYREG_PRT6_AG, CY_GET_REG8(CYREG_PRT6_AG) & ~0x88);
	CY_SET_REG8(CYREG_PRT5_AG, CY_GET_REG8(CYREG_PRT5_AG) & ~0x80);
	CY_SET_REG8(CYREG_BUS_SW0, CY_GET_REG8(CYREG_BUS_SW0) & ~0x08);
}

#if defined(__C51__) || defined(__CX51__)
    #pragma OT(5, SPEED)
#endif
void AMuxSeq_Next(void)
{
	AMuxSeq_curChannel++;
	switch (AMuxSeq_curChannel)
	{
	case 4: /* to force jump table (not executed) */
		AMuxSeq_curChannel = 4;
	case 5: /* to force jump table (not executed) */
		AMuxSeq_curChannel = 5;
	case 6: /* to force jump table (not executed) */
		AMuxSeq_curChannel = 6;
	case 7: /* to force jump table (not executed) */
		AMuxSeq_curChannel = 7;
	case 3:
	default:
		AMuxSeq_curChannel = 0;
	case 0:
		CY_SET_REG8(CYREG_PRT5_AG, CY_GET_REG8(CYREG_PRT5_AG) & ~0x80);
		CY_SET_REG8(CYREG_BUS_SW0, CY_GET_REG8(CYREG_BUS_SW0) & ~0x08);
		CY_SET_REG8(CYREG_PRT6_AG, CY_GET_REG8(CYREG_PRT6_AG) | 0x08);
		break;
	case 1:
		CY_SET_REG8(CYREG_PRT6_AG, CY_GET_REG8(CYREG_PRT6_AG) & ~0x08);
		CY_SET_REG8(CYREG_PRT6_AG, CY_GET_REG8(CYREG_PRT6_AG) | 0x80);
		break;
	case 2:
		CY_SET_REG8(CYREG_PRT6_AG, CY_GET_REG8(CYREG_PRT6_AG) & ~0x80);
		CY_SET_REG8(CYREG_PRT5_AG, CY_GET_REG8(CYREG_PRT5_AG) | 0x80);
		CY_SET_REG8(CYREG_BUS_SW0, CY_GET_REG8(CYREG_BUS_SW0) | 0x08);
		break;
	}
}



/*******************************************************************************
* Function Name: cyfitter_cfg
********************************************************************************
* Summary:
*  This function is called by the start-up code for the selected device. It
*  performs all of the necessary device configuration based on the design
*  settings.  This includes settings from the Design Wide Resources (DWR) such
*  as Clocks and Pins as well as any component configuration that is necessary.
*
* Parameters:  
*   void
*
* Return:
*   void
*
*******************************************************************************/
void cyfitter_cfg(void)
{
#ifdef CYGlobalIntDisable
	/* Disable interrupts by default. Let user enable if/when they want. */
	CYGlobalIntDisable;
#endif


	/* Set Flash Cycles based on max possible frequency in case a glitch occurs during ClockSetup(). */
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_CACHE_CC_CTL), ((CYDEV_INSTRUCT_CACHE_ENABLED) ? 0x00 : 0x01));
	/* Setup clocks based on selections from Clock DWR */
	ClockSetup();
	/* Set Flash Cycles based on newly configured 38.00MHz Bus Clock. */
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_CACHE_CC_CTL), ((CYDEV_INSTRUCT_CACHE_ENABLED) ? 0xC0 : 0xC1));

	/* Disable DMA channels so they can be configured for chip initialization */
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_PHUB_CH0_BASIC_CFG), 0x00);
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_PHUB_CH1_BASIC_CFG), 0x00);

	/* Disable unused USB pad to reduce current draw */
	CY_SET_REG8(CYREG_PM_AVAIL_CR6, CY_GET_REG8(CYREG_PM_AVAIL_CR6) & ~0x10);

	/* Enable analog pulldown switches */
	CY_SET_XTND_REG8((void CYFAR *)(CYREG_ANAIF_CFG_MISC_CR0), 0x01);

	/* Enable/Disable Debug functionality based on settings from System DWR */
	CY_SET_XTND_REG8(CYREG_MLOGIC_DBG_DBE, (CY_GET_XTND_REG8(CYREG_MLOGIC_DBG_DBE) | 0x01));

	{
		cfg_dma_init();

		/* Perform normal device configuration. Order is not critical for these items. */
		CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT0_BASE), 7);
		CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT1_BASE), 7);
		CYCONFIGCPY8((void CYFAR *)(CYDEV_PRTDSI_PRT2_BASE), (void CYFAR *)(BS_IOPORT_2_VAL), 7);
		CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT3_BASE), 7);
		CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT4_BASE), 7);
		CYCONFIGCPY8((void CYFAR *)(CYDEV_PRTDSI_PRT5_BASE), (void CYFAR *)(BS_IOPORT_5_VAL), 7);
		CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT6_BASE), 7);
		CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT12_BASE), 6);
		CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT15_BASE), 7);
		CY_SET_XTND_REG16((void CYFAR *)(CYREG_CAPSR_CFG0), 0x0300);
		CY_SET_XTND_REG16((void CYFAR *)(CYREG_LUT0_CR), 0x0003);
		CY_SET_XTND_REG16((void CYFAR *)(CYREG_LUT1_CR), 0x0103);
		CY_SET_XTND_REG16((void CYFAR *)(CYREG_LUT2_CR), 0x0203);
		CY_SET_XTND_REG16((void CYFAR *)(CYREG_LUT3_CR), 0x0303);
		CYMEMZERO((void CYFAR *)(CYREG_PHUB_CFGMEM0_CFG0), 4);
		CYMEMZERO((void CYFAR *)(CYREG_PHUB_CFGMEM1_CFG0), 4);
		CYMEMZERO((void CYFAR *)(CYREG_PHUB_CFGMEM2_CFG0), 4);
		CYMEMZERO((void CYFAR *)(CYREG_PHUB_CFGMEM3_CFG0), 4);

		/* Enable digital routing */
		CY_SET_XTND_REG8(CYREG_BCTL0_BANK_CTL, CY_GET_XTND_REG8(CYREG_BCTL0_BANK_CTL) | 0x02u);
		CY_SET_XTND_REG8(CYREG_BCTL1_BANK_CTL, CY_GET_XTND_REG8(CYREG_BCTL1_BANK_CTL) | 0x02u);

		/* Enable UDB array */
		CY_SET_XTND_REG8(CYREG_PM_ACT_CFG0, CY_GET_XTND_REG8(CYREG_PM_ACT_CFG0) | 0x40u);
		CY_SET_XTND_REG8(CYREG_PM_AVAIL_CR2, CY_GET_XTND_REG8(CYREG_PM_AVAIL_CR2) | 0x10u);
	}

	/* Perform second pass device configuration. These items must be configured in specific order after the regular configuration is done. */
	CYCONFIGCPY((void CYFAR *)(CYREG_PRT0_DM0), (void CYFAR *)(BS_IOPINS0_0_VAL), 8);
	CYCONFIGCPY((void CYFAR *)(CYREG_PRT1_DM0), (void CYFAR *)(BS_IOPINS0_1_VAL), 8);
	CYCONFIGCPY8((void CYFAR *)(CYREG_PRT12_DM0), (void CYFAR *)(BS_IOPINS0_7_VAL), 8);
	CYCONFIGCPY((void CYFAR *)(CYREG_PRT15_DR), (void CYFAR *)(BS_IOPINS0_8_VAL), 10);
	CYCONFIGCPY((void CYFAR *)(CYREG_PRT2_DM0), (void CYFAR *)(BS_IOPINS0_2_VAL), 8);
	CYCONFIGCPY((void CYFAR *)(CYREG_PRT3_DM0), (void CYFAR *)(BS_IOPINS0_3_VAL), 8);
	CYCONFIGCPY((void CYFAR *)(CYREG_PRT4_DM0), (void CYFAR *)(BS_IOPINS0_4_VAL), 8);
	CYCONFIGCPY((void CYFAR *)(CYREG_PRT5_DM0), (void CYFAR *)(BS_IOPINS0_5_VAL), 8);
	CYCONFIGCPY((void CYFAR *)(CYREG_PRT6_DR), (void CYFAR *)(BS_IOPINS0_6_VAL), 10);


	/* Perform basic analog initialization to defaults */
	AnalogSetDefault();

	/* Configure alternate active mode */
	CYCONFIGCPY((void CYFAR *)CYDEV_PM_STBY_BASE, (void CYFAR *)CYDEV_PM_ACT_BASE, 12);
	CY_SET_XTND_REG8(CYREG_PM_STBY_CFG0, CY_GET_XTND_REG8(CYREG_PM_STBY_CFG0) & ~0x02u);	/* Disable CPU */
}
