/*******************************************************************************
* File Name: isr_trigger.h
* Version 1.60
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__isr_trigger_INTC_H__)
#define __isr_trigger_INTC_H__


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isr_trigger_Start(void);
void isr_trigger_StartEx(cyisraddress address);
void isr_trigger_Stop(void) ;

CY_ISR_PROTO(isr_trigger_Interrupt);

void isr_trigger_SetVector(cyisraddress address) ;
cyisraddress isr_trigger_GetVector(void) ;

void isr_trigger_SetPriority(uint8 priority) ;
uint8 isr_trigger_GetPriority(void) ;

void isr_trigger_Enable(void) ;
uint8 isr_trigger_GetState(void) ;
void isr_trigger_Disable(void) ;

void isr_trigger_SetPending(void) ;
void isr_trigger_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isr_trigger ISR. */
#define isr_trigger_INTC_VECTOR            ((reg32 *) isr_trigger__INTC_VECT)

/* Address of the isr_trigger ISR priority. */
#define isr_trigger_INTC_PRIOR             ((reg8 *) isr_trigger__INTC_PRIOR_REG)

/* Priority of the isr_trigger interrupt. */
#define isr_trigger_INTC_PRIOR_NUMBER      isr_trigger__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isr_trigger interrupt. */
#define isr_trigger_INTC_SET_EN            ((reg32 *) isr_trigger__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isr_trigger interrupt. */
#define isr_trigger_INTC_CLR_EN            ((reg32 *) isr_trigger__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isr_trigger interrupt state to pending. */
#define isr_trigger_INTC_SET_PD            ((reg32 *) isr_trigger__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isr_trigger interrupt. */
#define isr_trigger_INTC_CLR_PD            ((reg32 *) isr_trigger__INTC_CLR_PD_REG)



/* __isr_trigger_INTC_H__ */
#endif
