/* ========================================
 *
 * Copyright Hendrik Lipka, 2011
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF Hendrik Lipka.
 *
 * ========================================
*/

#ifndef __ADMSCOPE_H
#define __ADMSCOPE_H

#include "device.h"

// size of a single DMA block
#define SAMPLE_BLOCK_SIZE 1024

// main clock in MHz, must be multiple of 14MHz
#define MAIN_CLOCK 38*2

// number of usable dots
#define DOTS 160

extern uint32 sampleCount;

// which channels are active
extern uint8 sendChannel0;
extern uint8 sendChannel1;
extern uint8 sendChannel2;
extern uint8 sendChannel3;

extern uint8 run_trigger;

void parseTriggerDataClient();
void parseTriggerDataLocal();
void startTrigger();
void init_ui();
void do_ui();
void init_scope();

#endif


//[] END OF FILE
