/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include "admscope.h"

#include "scope.h"
#include "client_data.h"

void parseTriggerDataClient()
{
	sendChannel0=1;
	sendChannel1=1;
	sendChannel2=1;
	sendChannel3=0; // fourth channel is off by default
	
	triggerActive1=0;
	triggerActive2=0;
	triggerRising1=0;
	triggerRising2=0;
	
	triggerValuesDig=0;
	triggerMaskDig=0;
	
	channelMux1=0;
	channelMux2=0;
	
	triggerLevel1=128;
	triggerLevel2=128;
	
	if (1==send_values)
	{
		triggerLevel1=trigger_values[0];
		triggerLevel2=trigger_values[1];
		triggerValuesDig=trigger_values[2];
	}
	
	if (1==send_mask)
	{
		// bits 0 and 1 define trigger activity and trigger direction for the analog channels
		// bits 2 define the selected channel
		triggerActive1= trigger_mask[0]&1;
		triggerRising1=(trigger_mask[0]&2)>>1;
		channelMux1=   (trigger_mask[0]&4)>>2;
		channelGain1=  (trigger_mask[0]&0xf0)>>4;

		triggerActive2=(trigger_mask[1]&1);
		triggerRising2=(trigger_mask[1]&2)>>1;
		channelMux2=   (trigger_mask[1]&4)>>2;
		channelGain2=  (trigger_mask[1]&0xf0)>>4;
		
		triggerMaskDig=trigger_mask[2];
	}

	if (1==send_div)
	{
		divider=divider_conf[0]+divider_conf[1]*256+divider_conf[2]*65536;
	}
	else
	{
		divider=999; // assume 0.1 MHz as default
	}
	
	if (1==send_delay)
		sampleCount=4*(delay_conf[0]+delay_conf[1]*256+1);
	else
		sampleCount=SAMPLE_BLOCK_SIZE;
		
	if (1==send_flags)
	{
		sendChannel0=1-((trigger_flags[0]&4)>>2);
		sendChannel1=1-((trigger_flags[0]&8)>>3);
		sendChannel2=1-((trigger_flags[0]&16)>>4);
		sendChannel3=1-((trigger_flags[0]&32)>>5);
	}
	// what's ignored:
	// delay count - capture always starts with trigger
	// all flags (except channel groups, since if affect data transfer)
	// stages 1-3
	// trigger config (always assume trigger is parallel with one stage)

	send_flags=0;
	send_mask=0;
	send_values=0;
	send_div=0;
	send_conf=0;
	send_delay=0;
}

/* [] END OF FILE */
